QuattroDosChart Class Reference documentation

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
QuattroDosChart Class Reference

This class parses Quattro Pro DOS chart file. More...

`#include <QuattroDosChart.h>`

## Public Member Functions
| QuattroDosChart (QuattroDosParser &parser)
| constructor More...
| ~QuattroDosChart ()
| destructor More...
void | setListener (WKSContentListenerPtr &listen)
| sets the listener More...
bool | readChartSetType ()
| reads the chart type: b8(3d) or ca(bubble) More...
bool | readChartName ()
| reads the chart name: b9 More...
bool | readChart ()
| reads a structure which define a chart: 2d(default), 2e(name + value) More...
int | getNumSpreadsheets () const
| returns the number of spreadsheet More...
void | getChartPositionMap (int sheetId, std::map< Vec2i, Vec2i > &cellMap) const
| returns the list of cell's begin to end corresponding to a chart More...
bool | sendChart (int sheetId, Vec2i const &cell, Vec2f const &chartSize)
| try to send the chart corresponding to sheetId and a position More...

## Protected Member Functions
bool | checkFilePosition (long pos)
| return true if the pos is in the file, update the file size if need More...
int | version () const
| return the file version More...
bool | hasLICSCharacters () const
| returns the true if the file has LICS characters More...
bool | sendText (WPSEntry const &entry)
| try to send the text More...

## Private Member Functions
| QuattroDosChart (QuattroDosChart const &orig)=delete
QuattroDosChart & | operator= (QuattroDosChart const &orig)=delete
libwps::DebugFile & | ascii ()
| returns the debug file More...

## Private Attributes
RVNGInputStreamPtr | m_input
| the input More...
std::shared_ptr< WKSContentListener > | m_listener
QuattroDosParser & | m_mainParser
| the listener (if set) More...
std::shared_ptr< QuattroDosChartInternal::State > | m_state
| the internal state More...
libwps::DebugFile & | m_asciiFile
| the ascii file More...

## Friends
class | QuattroDosParser
class | QuattroDosChartInternal::Chart

## Detailed Description

This class parses Quattro Pro DOS chart file.

## Constructor & Destructor Documentation

## ◆ QuattroDosChart() [1/2]

QuattroDosChart::QuattroDosChart | ( | QuattroDosParser & | parser | ) |
| explicit

constructor

## ◆ ~QuattroDosChart()

QuattroDosChart::~QuattroDosChart | ( |  | ) |

destructor

## ◆ QuattroDosChart() [2/2]

QuattroDosChart::QuattroDosChart | ( | QuattroDosChart const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ ascii()

libwps::DebugFile& QuattroDosChart::ascii | ( |  | ) |
| inlineprivate

returns the debug file

Referenced by readChart(), readChartName(), and readChartSetType().

## ◆ checkFilePosition()

bool QuattroDosChart::checkFilePosition | ( | long | pos | ) |
| protected

return true if the pos is in the file, update the file size if need

## ◆ getChartPositionMap()

void QuattroDosChart::getChartPositionMap | ( | int | sheetId,
|  | std::map< Vec2i, Vec2i > & | cellMap
| ) |  | const

returns the list of cell's begin to end corresponding to a chart

## ◆ getNumSpreadsheets()

int QuattroDosChart::getNumSpreadsheets | ( |  | ) | const

returns the number of spreadsheet

## ◆ hasLICSCharacters()

bool QuattroDosChart::hasLICSCharacters | ( |  | ) | const
| protected

returns the true if the file has LICS characters

Referenced by sendText().

## ◆ operator=()

QuattroDosChart& QuattroDosChart::operator= | ( | QuattroDosChart const & | orig | ) |
| privatedelete

## ◆ readChart()

bool QuattroDosChart::readChart | ( |  | ) |

reads a structure which define a chart: 2d(default), 2e(name + value)

## ◆ readChartName()

bool QuattroDosChart::readChartName | ( |  | ) |

reads the chart name: b9

## ◆ readChartSetType()

bool QuattroDosChart::readChartSetType | ( |  | ) |

reads the chart type: b8(3d) or ca(bubble)

## ◆ sendChart()

bool QuattroDosChart::sendChart | ( | int | sheetId,
|  | Vec2i const & | cell,
|  | Vec2f const & | chartSize
| ) |  |

try to send the chart corresponding to sheetId and a position

## ◆ sendText()

bool QuattroDosChart::sendText | ( | WPSEntry const & | entry | ) |
| protected

try to send the text

Referenced by QuattroDosChartInternal::Chart::sendContent().

## ◆ setListener()

void QuattroDosChart::setListener | ( | WKSContentListenerPtr & | listen | ) |
| inline

sets the listener

## ◆ version()

int QuattroDosChart::version | ( |  | ) | const
| protected

return the file version

Referenced by readChart().

## Friends And Related Function Documentation

## ◆ QuattroDosChartInternal::Chart

friend class QuattroDosChartInternal::Chart
| friend

## ◆ QuattroDosParser

friend class QuattroDosParser
| friend

## Member Data Documentation

## ◆ m_asciiFile

libwps::DebugFile& QuattroDosChart::m_asciiFile
| private

the ascii file

## ◆ m_input

RVNGInputStreamPtr QuattroDosChart::m_input
| private

the input

Referenced by checkFilePosition(), readChart(), readChartName(), readChartSetType(), and sendText().

## ◆ m_listener

std::shared_ptr<WKSContentListener> QuattroDosChart::m_listener
| private

Referenced by sendChart(), and sendText().

## ◆ m_mainParser

QuattroDosParser& QuattroDosChart::m_mainParser
| private

the listener (if set)

the main parser

Referenced by hasLICSCharacters(), readChart(), readChartName(), sendText(), and version().

## ◆ m_state

std::shared_ptr<QuattroDosChartInternal::State> QuattroDosChart::m_state
| private

the internal state

Referenced by checkFilePosition(), getChartPositionMap(), getNumSpreadsheets(), hasLICSCharacters(), readChart(), readChartSetType(), sendChart(), and version().

The documentation for this class was generated from the following files:

- QuattroDosChart.h
- QuattroDosChart.cpp